cet-is - Bug #24899

geant4 patch to v4_10_04_p02b
09/02/2020 08:59 AM - Gavin Davies

Status: Closed Start date: 09/02/2020
Priority: Normal Due date:

Assignee: Lynn Garren % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.50 hour
Scope: Internal SSI Package:

Experiment: NOVA Co-Assignees:

Description

We currently are using a patched version of geant4 v4_10_04_p02b: geant4/v4_10_4_p02b/source/geant4.10.04.p02

We have a bug fix for the intersection of Z planes to this version/patch we'd like to include -- a one-line change: see attached patch
file.
Run from the source directory above (or equivalent) so the relative path inside the patch file lines up

We request a new patched version of geant4 (v4_10_4_p02c):
SL6: Linux64bit+2.6-2.12
Qualifiers: e17:prof

Let us know if we can provide further information if necessary.

Background: https://geant4-forum.web.cern.ch/t/geomnav0003-error-with-g4-10-4-2-but-not-g4-10-6/3343/3
This is mitigated in g4 v4_10_6 but we're not ready to upgrade to that version hence this patch request.

History

#1 - 09/02/2020 09:34 AM - Gavin Davies

Gavin Davies wrote:
We currently are using a patched version of geant4 v4_10_04_p02b: geant4/v4_10_4_p02b/source/geant4.10.04.p02

We have a bug fix for the intersection of Z planes to this version/patch we'd like to include -- a one-line change: see attached patch file.
Run from the source directory above (or equivalent) so the relative path inside the patch file lines up

We request a new patched version of geant4 (v4_10_4_p02c):
SL6: Linux64bit+2.6-2.12
Qualifiers: e17:prof

Let us know if we can provide further information if necessary.

Background: https://geant4-forum.web.cern.ch/t/geomnav0003-error-with-g4-10-4-2-but-not-g4-10-6/3343/3
This is mitigated in g4 v4_10_6 but we're not ready to upgrade to that version hence this patch request.

Correction ... we are requesting a patch v4_10_4_p02d (SL6, e17) since the "c" version is the SL7 version.

#2 - 09/02/2020 10:15 AM - Lynn Garren
- Assignee set to Lynn Garren

- Status changed from New to Assigned

Got it. | presume you'll be wanting the same change for the e19 art 3.06 stack eventually.

#3 - 09/02/2020 11:20 AM - Gavin Davies

Highly probable, but just in case there are any further amendments to the e19 art 3.06 stack down the line we can just hold off on that for now.

#4 - 09/02/2020 11:30 AM - Lynn Garren

Will you also need a nug4 build?

03/28/2021 12



https://geant4-forum.web.cern.ch/t/geomnav0003-error-with-g4-10-4-2-but-not-g4-10-6/3343/3
https://geant4-forum.web.cern.ch/t/geomnav0003-error-with-g4-10-4-2-but-not-g4-10-6/3343/3

#5 - 09/02/2020 11:33 AM - Lynn Garren

Yes, of course you will, and making a nulite distribution with an updated nug4 is the easiest way to get the build out.

#6 - 09/02/2020 05:21 PM - Lynn Garren
- % Done changed from 0 to 100

- Status changed from Assigned to Resolved

In order to maintain sanity and consistency, this request is being treated as a hotfix release. The following new releases are available in the nulite
v3_01_06b distribution.

e geant4 v4_10_4_p02ba (e17)

* nug4 vi_02_02_01 (e17)
e geantdreweight vO1_00_09 (s85:€17)

#7 - 09/03/2020 10:44 AM - Gavin Davies

Fantastic. Thank you, Lynn!!

#8 - 12/02/2020 09:46 AM - Kyle Knoepfel

- Status changed from Resolved to Closed

Files

g4.patch 489 Bytes 09/02/2020 Gavin Davies
